# coding: utf-8
require 'uri'
require 'net/http'
require "semse/version"

module Semse
  API_ADDR = 'https://api.semse.pl'
  
  STATUSES = {
    '1'   => "Niepoporawna apiKey lub apiSecret",
    '2'   => "Niepoprawny numer telefonu w parametrze msgTo",
    '3'   => "Pusta wiadomość w parametrze msgBody",
    '4'   => "nieważny abonament",
    '5'   => "przekroczono limit wiadomości na kluczu przekazanym w parametrze apiKey",
    '6'   => "za długa wiadomość w parametrze msgBody - maksymalnie 640 znaków",
    '500' => "Błąd serwera SMS",
    '101' => "Wiadomość została wysłana"
  }
  
  mattr_accessor :api_key
  @@api_key = ''
  
  mattr_accessor :api_secret
  @@api_secret = ''
  
  def self.configure
    yield self
  end
  
  def self.send(recipient, message, polish_chars=0)
    args = {
      'apiKey' => api_key,
      'apiSecret' => api_secret,
      'queryType' => 1,
      'msgTo' => recipient,
      'msgBody' => message,
      'polishChars' => polish_chars
    }
    resp = Net::HTTP.post_form(URI(API_ADDR), args)
    
    if resp.code == "200"
      JSON.parse(resp.body)
    else
      nil    
    end
  end
end

